+ Reply to Thread
Page 2 of 2 FirstFirst 1 2
Results 11 to 18 of 18
  1. #11
    Super Member
    Computer Details
    designerstuart's Computer Details
    Operating System:
    xp
    Computer:
    various
    Discipline
    Architectural
    designerstuart's Discipline Details
    Occupation
    architect
    Discipline
    Architectural
    Using
    ADT 2009
    Join Date
    Jun 2010
    Location
    near london, near europe
    Posts
    867

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by khoshravan View Post
    In case of relative coordinate, is it measured relative to first point?
    yes - relative to your start point

  2. #12
    Forum Deity
    Using
    AutoCAD 2002
    Join Date
    Sep 2006
    Location
    East Sussex, U.K.
    Posts
    4,043

    Default

    Quote Originally Posted by khoshravan View Post
    I want to move a line 5 cm to the right of present location with orthogonal active . What is the best/fastest way to do this?
    To answer your original question, start the command Move. Pick your line. Then when the command line says "Specify base point..." pick a point in a free area away from other lines. Then when it says Specify second point of displacement, drag the cursor to the right a little bit, so that you are showing the direction of movement, and then key in 5 and press Enter.

  3. #13
    Forum Deity rkent's Avatar
    Computer Details
    rkent's Computer Details
    Operating System:
    WIN7 PRO 64bit
    Computer:
    Dell OptiPlex 7020
    CPU:
    i7 4790 3.6GHz
    RAM:
    16GB, 1600MHz, DDR3 non-ECC 2x8GB
    Graphics:
    AMD Radeon 2GB
    Primary Storage:
    Samsung 480Gb SSD
    Monitor:
    Dell 24" FS (2x)
    Discipline
    Mechanical
    rkent's Discipline Details
    Occupation
    Facilities Design - Semi-conductor manufacturing
    Discipline
    Mechanical
    Details
    Designer: Process Piping, P&ID's, Machine Part Design, Planning / General Arrangement. Facilities Management. Drafting: Electrical, Controls, Architectural.
    Using
    Mechanical 2017
    Join Date
    Nov 2007
    Location
    Lat:35, Long:-106, Elev: 5164'
    Posts
    4,574

    Default

    Make sure OSNAPCOORD is set to 1 or 2.

    Use move command as others have described, or you can also skip the picking base point just hit enter instead, with ortho on pull the cursor in the desired direction for the move and type the value, enter, when asked for base point hit enter and the type 2,2 to move the obect 2 units in the X and 2 units in the Y directions, no @ symbol is needed with this method.
    Sometimes there's a man... I won't say a hero, 'cause, what's a hero? But sometimes, there's a man. And I'm talkin' about the Dude here. Sometimes, there's a man, well, he's the man for his time and place. He fits right in there. And that's the Dude, in Los Angeles. - The Stranger, The Big Lebowski

  4. #14
    Super Member
    Computer Details
    designerstuart's Computer Details
    Operating System:
    xp
    Computer:
    various
    Discipline
    Architectural
    designerstuart's Discipline Details
    Occupation
    architect
    Discipline
    Architectural
    Using
    ADT 2009
    Join Date
    Jun 2010
    Location
    near london, near europe
    Posts
    867

    Default

    Quote Originally Posted by rkent View Post
    Use move command as others have described, or you can also skip the picking base point just hit enter instead, with ortho on pull the cursor in the desired direction for the move and type the value, enter, when asked for base point hit enter and the type 2,2 to move the obect 2 units in the X and 2 units in the Y directions, no @ symbol is needed with this method.
    just to clarify, this is the displacement method mentioned above

  5. #15
    Senior Member
    Computer Details
    nicolas's Computer Details
    Operating System:
    Windows 7
    Computer:
    Intel Dual Core 64 Bits
    RAM:
    2 GB
    Using
    AutoCAD 2015
    Join Date
    Jan 2008
    Location
    Rose Hill, Republic of Mauritius
    Posts
    415

    Default

    Hi,

    I believe that setting DYNAMIC INPUT (DYN. on status bar) on is essential stuff for move/copy using base point or displacement method. It is important to note that to displace a 100x100 square 500 to the left I enter alias "co" without the quotes and select the object and type 600<180. If I want the object to be copied 600 upward, I enter "co" or "copy", select the object and type in 700<90. You need to understand that angle starting 0 and increments anticlockwise. Hence right is 0, up is 90, left is 180 and down is 360 or -90. As I move an object to the left/right, I need to include the width of the object. If I move up/down, I need to include the height of the object.

    Hope this help.

    Nicolas.

  6. #16
    Forum Newbie
    Discipline
    Architectural
    Using
    AutoCAD 2015
    Join Date
    May 2017
    Posts
    2

    Default Issue with MOVE Tool

    Hello,

    I am new to this forum but really need some assistance. I cannot specify the distance I want to move an object. I was able to yesterday. Please someone tell me what I turned off or on or need to reset or adjust, it's very frustrating. I use this program for work and need some help ASAP. Thanks everyone who replies.

  7. #17
    Forum Newbie
    Discipline
    Architectural
    Using
    AutoCAD 2015
    Join Date
    May 2017
    Posts
    2

    Default

    Never mind, I found the cure! My Num Lock was off to those of you having this issue!

  8. #18
    Luminous Being
    Using
    Civil 3D 2016
    Join Date
    Dec 2005
    Location
    GEELONG AUSTRALIA
    Posts
    9,745

    Default

    Registered forum members do not see this ad.

    This ludr.lsp move in the correct ortho direction, you just do r5 and it moves object 5 to the right. Now where did I put it, I posted it here. Trying to find. I think I did as part of a pline routine. It may be at home.

    Code:
    ; draw a pline by direction Up Down left or Right use upper or lowercase
    ; by Alan H dec 2015
    ; this version is a metric/decimal version
    ; version 2 depending on request will be a imperial version
    ; 1'8 1/4" input d1.8.25 start with 1.8 = 1'8" then add second fraction ver 3
    
    ; how to use u123.45 D34.57 R102.6 l53
    
    (defun ah:left ( / pt2)
    (setq pt2 (polar pt pi (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun ah:up ( / pt2)
    (setq pt2 (polar pt (/ pi 2.0) (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun ah:right ( / pt2)
    (setq pt2 (polar pt 0.0 (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun ah:down ( / pt2)
    (setq pt2 (polar pt (* 1.5 pi) (atof (substr ans 2 (- (strlen ans) 1)))))
    (setq pt pt2)
    (command pt2)
    )
    
    (defun C:ahpliner ( / pt ans)
    
    (command "_pline")
    (command (setq pt (getpoint "Pick start point - Enter or C to finish")))
    (while (= (getvar "cmdactive") 1 ) 
    (setq ans (getstring "Enter L123 U456 R67 D78"))
    (cond ((= ans "")(command ""))
          ((= "L"(strcase (substr ans 1 1)))(ah:left))
          ((= "U"(strcase (substr ans 1 1)))(ah:up))
          ((= "D"(strcase (substr ans 1 1)))(ah:down))
          ((= "R"(strcase (substr ans 1 1)))(ah:right))
          ((= "C"(strcase (substr ans 1 1)))(command "close"))
    ) ;cond
    ) ; while
    )
    Last edited by BIGAL; 4th May 2017 at 09:17 am.
    A man who never made mistakes never made anything

Similar Threads

  1. Move/Rotate/Copy to Center of a Line
    By ecshclark in forum Autodesk Inventor
    Replies: 4
    Last Post: 4th Jun 2010, 08:30 pm
  2. Continual crashes caused by copy, past, and move commands
    By looseLISPSsinkSHIPS in forum AutoCAD General
    Replies: 11
    Last Post: 15th Dec 2009, 02:50 pm
  3. COPY or ** COPY ** - Copy and Stretch, Move, Rotate, Scale & Mirror objects
    By Andrew1979 in forum Tutorials & Tips'n'Tricks
    Replies: 2
    Last Post: 27th Jul 2009, 07:36 am
  4. how to move origin point ?
    By airs in forum AutoCAD Beginners' Area
    Replies: 2
    Last Post: 20th Nov 2006, 12:52 am
  5. Copy to Clipboard / Copy with Base Point not working
    By Orbit in forum AutoCAD Drawing Management & Output
    Replies: 8
    Last Post: 12th Oct 2003, 03:10 am

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts